import { LoginRequest, LoginResponse, UpdatePwdRequest } from "@/types";
import { service } from "@dage/pc-components";

export const login = (data: LoginRequest) => {
  return service.post<LoginResponse>("/api/admin/login", data);
};

export const logoutApi = () => {
  return service.get("/api/admin/logout");
};

export const updatePwd = (data: UpdatePwdRequest) => {
  return service.post("/api/sys/user/updatePwd", data);
};

export * from "./log";
export * from "./user";
